ubuntu使用笔记

记录一些环境软件配置方面的一些笔记,方便以后查看。

1.sublime默认不能输入中文,解决方法如下:

sudo apt-get update && sudo apt-get upgrade
git clone https://github.com/lyfeyaj/sublime-text-imfix.git
cd sublime-text-imfix
./sublime-imfix

 2.ubuntu16.04安装后在执行sudo apt-get update && apt-get upgrade后自带的软件中心无法再次打开,

此时再次执行

    sudo apt-get update

  sudo apt-get dist-upgrade

  sudo apt-get install --reinstall software-center

安装新的软件中心(默认为蓝色)

3.ubuntu自带的docker软件包比较旧,使用下列指令

$ sudo apt-get install apt-transport-https 
$ sudo apt-key adv --keyserver hkp://keyserver.ubuntu.com:80 --recv-keys 36A1D7869245C8950F966E92D8576A8BA88D21E9
$ sudo bash -c "echo deb https://get.docker.io/ubuntu docker main > /etc/apt/sources.list.d/docker.list"
$ sudo apt-get update
$ sudo apt-get install lxc-docker

执行结束后,执行sudo service docker start启动docker

4.在ubuntu中安装kali,这里将kali安装在docker中,

启动docker以后首先安装kali镜像,sudo docker search kali

下载官方提供的第一个镜像

sudo docker pull kalilinux/kali-linux-docker

docker exec -it 容器name bash就可以交互式地进入容器进行操作

docker 里面strace调试php有内核调用时没权限,所以加上--security-opt seccomp:unconfined 选项即可

docker run --security-opt seccomp:unconfined 

接下来查看下载的kali镜像的id号:

 sudo docker images

接来下运行镜像,进入kali系统

sudo docker run -i -t e3a04c51a173

此时是裸的系统,只需下载需要的软件即可,下载msf

apt-get update
apt-get install metasploit-framework
安装完毕后启动postgresql
/etc/init.d/postgresql start
启动msf

 5.解决docker问题最简单直接的方法:

首先卸载已经安装的docker

sudo apt autoremove docker

再删除相关配置文件

sudo rm -rf /var/lib/docker

sudo rm -rf /etc/default/docker

再次安装docker

sudo apt-get install docker

6. 安装的pycharm后自带的pip模块为7.0版本,新版本为9.0,如果直接点击升级pip模块会出现pip模块未找到,虽然目前在pycharm中已经自带了pip,但是在升级pip时终端命令还是

python -m pip install --upgrade pip

显然默认pip包可用,此时需要在终端安装python-pip包

sudo apt-get install python-pip

此时再执行

sudo apt-get install python-setuptools-doc #更方便地进行分发和分组python包

此时再次打开pycharm 点击升级pip即可顺利升级,之后即可安装其他模块包。

7.配置php-apache环境

https://www.vultr.com/docs/how-to-install-apache-mysql-and-php-on-ubuntu-16-04

8.更换php版本:

7->5.6

# 禁用 Apache 中的 PHP7
sudo a2dismod php7
# 启用 PHP5.6
sudo a2enmod php5.6
# 重启 Apache
sudo systemctl restart apache2.service
# 切换 CLI 
sudo update-alternatives --set php /usr/bin/php5.6
5.6->  7
# 禁用 Apache 中的 PHP5 sudo a2dismod php5.6 # 启用 PHP7 sudo a2enmod php7 # 重启 Apache sudo systemctl restart apache2.service # 切换 CLI sudo update-alternatives --set php /usr/bin/php7.0

 9.执行apt-get install 时出现:

files list file for package 'libpcre3-dev:amd64' is missing final newline
E: Sub-process /usr/bin/dpkg returned an error code (2)

应该是我之前更新没完就关机了,导致这个文件出现了问题,google找了一圈都没找到解决办法,无奈自己看看吧,有问题的是libpcre3-dev:amd64这个包

与它相关的就这两个文件

第一个是个空文件,应该是第一个文件出问题了,我把两个文件移走,没想到竟然好了,应该是安装新软件的时候检查安装的有没有问题,刚好这个出问题了,所以卡住了。

 

又找了另外的list的md5sum看了看,似乎list就是一个文件列表,可以由md5sum这个文件试着还原一下list,先不试了==

 

转载于:https://www.cnblogs.com/wfzWebSecuity/p/6430991.html

评论将由博主筛选后显示,对所有人可见 | 还能输入1000个字符
©️2020 CSDN 皮肤主题: 编程工作室 设计师: CSDN官方博客 返回首页
实付0元
点击重新获取
扫码支付
钱包余额 0

抵扣说明:

1.余额是钱包充值的虚拟货币,按照1:1的比例进行支付金额的抵扣。
2.余额无法直接购买下载,可以购买VIP、C币套餐、付费专栏及课程。

余额充值